Bug 1259927 - [abrt] evolution: ews_update_mgtrequest_mime_calendar_itemid(): evolution killed by SIGSEGV
[abrt] evolution: ews_update_mgtrequest_mime_calendar_itemid(): evolution kil...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Milan Crha
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:57f4d4b412d5642c2a453b07726...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-03 16:04 EDT by Steve Carl
Modified: 2016-07-19 13:46 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:46:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (109.82 KB, text/plain)
2015-09-03 16:04 EDT, Steve Carl
no flags Details
File: cgroup (190 bytes, text/plain)
2015-09-03 16:04 EDT, Steve Carl
no flags Details
File: core_backtrace (43.69 KB, text/plain)
2015-09-03 16:04 EDT, Steve Carl
no flags Details
File: dso_list (28.59 KB, text/plain)
2015-09-03 16:04 EDT, Steve Carl
no flags Details
File: environ (1.67 KB, text/plain)
2015-09-03 16:04 EDT, Steve Carl
no flags Details
File: limits (1.29 KB, text/plain)
2015-09-03 16:04 EDT, Steve Carl
no flags Details
File: maps (142.42 KB, text/plain)
2015-09-03 16:04 EDT, Steve Carl
no flags Details
File: mountinfo (3.45 KB, text/plain)
2015-09-03 16:04 EDT, Steve Carl
no flags Details
File: namespaces (85 bytes, text/plain)
2015-09-03 16:04 EDT, Steve Carl
no flags Details
File: open_fds (2.87 KB, text/plain)
2015-09-03 16:04 EDT, Steve Carl
no flags Details
File: proc_pid_status (1017 bytes, text/plain)
2015-09-03 16:04 EDT, Steve Carl
no flags Details
File: var_log_messages (28 bytes, text/plain)
2015-09-03 16:04 EDT, Steve Carl
no flags Details

  None (edit)
Description Steve Carl 2015-09-03 16:04:07 EDT
Description of problem:
Control - a to select everything in inbox. Control - y . Evolution crash

Version-Release number of selected component:
evolution-3.16.5-1.fc22

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        evolution
crash_function: ews_update_mgtrequest_mime_calendar_itemid
executable:     /usr/bin/evolution
global_pid:     2668
kernel:         4.1.4-200.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 ews_update_mgtrequest_mime_calendar_itemid at camel-ews-folder.c:440
 #1 camel_ews_folder_get_message at camel-ews-folder.c:631
 #2 ews_folder_get_message_sync at camel-ews-folder.c:733
 #3 camel_folder_get_message_sync at camel-folder.c:3037
 #4 get_message_cb at camel-filter-driver.c:1621
 #5 camel_filter_search_get_message at camel-filter-search.c:135
 #6 junk_test at camel-filter-search.c:941
 #7 camel_sexp_term_eval at camel-sexp.c:808
 #8 camel_sexp_eval at camel-sexp.c:1722
 #9 camel_filter_search_match at camel-filter-search.c:1148
Comment 1 Steve Carl 2015-09-03 16:04:09 EDT
Created attachment 1070072 [details]
File: backtrace
Comment 2 Steve Carl 2015-09-03 16:04:10 EDT
Created attachment 1070073 [details]
File: cgroup
Comment 3 Steve Carl 2015-09-03 16:04:11 EDT
Created attachment 1070074 [details]
File: core_backtrace
Comment 4 Steve Carl 2015-09-03 16:04:12 EDT
Created attachment 1070075 [details]
File: dso_list
Comment 5 Steve Carl 2015-09-03 16:04:13 EDT
Created attachment 1070076 [details]
File: environ
Comment 6 Steve Carl 2015-09-03 16:04:14 EDT
Created attachment 1070077 [details]
File: limits
Comment 7 Steve Carl 2015-09-03 16:04:15 EDT
Created attachment 1070078 [details]
File: maps
Comment 8 Steve Carl 2015-09-03 16:04:15 EDT
Created attachment 1070079 [details]
File: mountinfo
Comment 9 Steve Carl 2015-09-03 16:04:16 EDT
Created attachment 1070080 [details]
File: namespaces
Comment 10 Steve Carl 2015-09-03 16:04:17 EDT
Created attachment 1070081 [details]
File: open_fds
Comment 11 Steve Carl 2015-09-03 16:04:18 EDT
Created attachment 1070082 [details]
File: proc_pid_status
Comment 12 Steve Carl 2015-09-03 16:04:18 EDT
Created attachment 1070083 [details]
File: var_log_messages
Comment 13 Milan Crha 2015-09-04 01:33:52 EDT
Thanks for a bug report. I see in the backtrace that this crashed when reading one of your messages, namely a meeting invitation. It seems like the message had missing or garbled the internal calendar component for some reason.

Could you check the content of
/home/steve/.cache/evolution/mail/1398693974.13391.6@bock.bmc.com/folders/Inbox/mimecontent/KAAI3X
please? Maybe it'll be missing, due to some cleanup the next evolution start, thus if you manage to reproduce the crash, then see the backtrace and search for the same path, but a different file name. The content will show what the message had included possibly why the calendar component failed to be created.

It's quite easy to check for the return value and skip the crashing code if certain parts fail, but I'd like to figure out the reason why it failed, whether it's a valid state or an issue in the code, possibly in a different place.

Thanks in advance.
Comment 14 Fedora End Of Life 2016-07-19 13:46:41 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.